sprity-lwip

    1.0.7 • Public • Published

    sprity-lwip

    NPM version Build Status Dependencies

    Image processor for sprity that uses lwip as the image processing library

    sprity's default image processor

    javascript only, no external library dependencies

    Requirements

    Install

    By default sprity-lwip is installed with sprity.

    npm install sprity

    If you want to use the command line interface of sprity install it globally.

    npm install sprity -g
    

    Supported image formats

    • png (Default)
    • jpg
    • gif

    Options

    • lwip-interpolation: Optional interpolation method. Defaults to "lanczos". Possible values:
      • nearest-neighbor
      • moving-average
      • linear
      • grid
      • cubic
      • lanczos

    Usage

    See sprity documentation


    Gitter

    Install

    npm i sprity-lwip

    DownloadsWeekly Downloads

    317

    Version

    1.0.7

    License

    none

    Last publish

    Collaborators

    • aslansky
    • devside